function etat = direct(T0, Tf, dt, a, y0, ind)
% Integration d'un systeme d'equations differentielles  
% par la methode d'Euler explicite
% T0   : instant initial
% Tf   : instant final
% dt   : pas de temps
% a    : vecteurs des parametres
% y0   : condition initiale
%  ind = 1 ou 2 : correspond a l'exemple de fonction f
% etat : solution du probleme 

Nt = round((Tf-T0)/dt);

etat=zeros(max(size(y0)), Nt);

y = y0;

for n=1:Nt
  yprim=f(y, a, ind);
  y = y + dt *yprim;
  etat(:,n) = y;
end

end
